> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Current Invoice

> Get Card current Invoice



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cards/invoices/current
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cards/invoices/current:
    get:
      tags:
        - cards
      summary: Get Card current Invoice
      description: Get Card current Invoice
      operationId: TrioFoundationWeb.Banking.Card.InvoiceController.get_current
      parameters:
        - description: Entity ID
          in: query
          name: entity_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Card_Invoice_response'
          description: Invoice
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Card_Invoice_response:
      description: Card Invoice response
      example:
        data:
          balance: 10000
          company_id: 0182b3d1-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          entity_id: 0182b3d3-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          from_datetime: '2025-06-11T03:00:00.000000Z'
          id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          org_id: 0182b3d2-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          pending_confirmation_amount: 10000
          purchase_balance: 10000
          status: open
          to_datetime: '2025-06-12T03:00:00.000000Z'
      properties:
        data:
          $ref: '#/components/schemas/Card_Invoice'
      title: Card Invoice response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Card_Invoice:
      description: An Card Invoice
      example:
        balance: 10000
        company_id: 0182b3d1-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        entity_id: 0182b3d3-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        from_datetime: '2025-06-11T03:00:00.000000Z'
        id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        org_id: 0182b3d2-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        pending_confirmation_amount: 10000
        purchase_balance: 10000
        status: open
        to_datetime: '2025-06-12T03:00:00.000000Z'
      properties:
        balance:
          description: Balance (R$)
          type: integer
        company_id:
          description: Company ID
          type: string
        entity_id:
          description: Entity ID
          type: string
        from_datetime:
          description: From datetime
          format: date
          type: string
        id:
          description: Unique identifier
          type: string
        org_id:
          description: Organization ID
          type: string
        pending_confirmation_amount:
          description: Pending confirmation amount (R$)
          type: integer
        purchase_balance:
          description: Purchase balance (R$)
          type: integer
        status:
          description: Status
          enum:
            - open
            - closed
            - paid
          type: string
        to_datetime:
          description: To datetime
          format: date
          type: string
      title: Card Invoice
      type: object

````